function a(e) {
  "@babel/helpers - typeof";
  return a = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(t) {
    return typeof t;
  } : function(t) {
    return t && typeof Symbol == "function" && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t;
  }, a(e);
}
function v(e, t, o) {
  return Object.defineProperty(e, "prototype", { writable: !1 }), e;
}
function d(e, t) {
  if (!(e instanceof t))
    throw new TypeError("Cannot call a class as a function");
}
function O(e, t) {
  if (typeof t != "function" && t !== null)
    throw new TypeError("Super expression must either be null or a function");
  e.prototype = Object.create(t && t.prototype, { constructor: { value: e, writable: !0, configurable: !0 } }), Object.defineProperty(e, "prototype", { writable: !1 }), t && u(e, t);
}
function m(e) {
  var t = b();
  return function() {
    var r = c(e), n;
    if (t) {
      var f = c(this).constructor;
      n = Reflect.construct(r, arguments, f);
    } else
      n = r.apply(this, arguments);
    return w(this, n);
  };
}
function w(e, t) {
  if (t && (a(t) === "object" || typeof t == "function"))
    return t;
  if (t !== void 0)
    throw new TypeError("Derived constructors may only return object or undefined");
  return _(e);
}
function _(e) {
  if (e === void 0)
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  return e;
}
function y(e) {
  var t = typeof Map == "function" ? /* @__PURE__ */ new Map() : void 0;
  return y = function(r) {
    if (r === null || !P(r)) return r;
    if (typeof r != "function")
      throw new TypeError("Super expression must either be null or a function");
    if (typeof t < "u") {
      if (t.has(r)) return t.get(r);
      t.set(r, n);
    }
    function n() {
      return i(r, arguments, c(this).constructor);
    }
    return n.prototype = Object.create(r.prototype, { constructor: { value: n, enumerable: !1, writable: !0, configurable: !0 } }), u(n, r);
  }, y(e);
}
function i(e, t, o) {
  return b() ? i = Reflect.construct : i = function(n, f, l) {
    var p = [null];
    p.push.apply(p, f);
    var h = Function.bind.apply(n, p), s = new h();
    return l && u(s, l.prototype), s;
  }, i.apply(null, arguments);
}
function b() {
  if (typeof Reflect > "u" || !Reflect.construct || Reflect.construct.sham) return !1;
  if (typeof Proxy == "function") return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {
    })), !0;
  } catch {
    return !1;
  }
}
function P(e) {
  return Function.toString.call(e).indexOf("[native code]") !== -1;
}
function u(e, t) {
  return u = Object.setPrototypeOf || function(r, n) {
    return r.__proto__ = n, r;
  }, u(e, t);
}
function c(e) {
  return c = Object.setPrototypeOf ? Object.getPrototypeOf : function(o) {
    return o.__proto__ || Object.getPrototypeOf(o);
  }, c(e);
}
var g = /* @__PURE__ */ (function(e) {
  O(o, e);
  var t = m(o);
  function o(r) {
    var n;
    return d(this, o), n = t.call(this, r), Object.setPrototypeOf(_(n), o.prototype), n.name = n.constructor.name, n;
  }
  return v(o);
})(/* @__PURE__ */ y(Error));
export {
  g as default
};
